Subject: Re: bug#31585: 27.0.50; 112GB Virtual Memory; 102MB working set

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 May 2018 09:29:29 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Thu, 24 May 2018 17:57:23 -0400
> Cc: [email-masked]
> 
> > build with: CFLAGS="-march=native -ffast-math -Os"
> 
> I don't see -ffast-math very often, does it affect anything?

It does.  It breaks IEEE compatibility and enables "unsafe"
optimizations of FP calculations.  I cannot recommend its usage in
general-purpose programs such as Emacs.

Not sure it has any relevance to the issue at hand, but I would
recommend to begin by building without that flag.

> What do you do in Emacs for this to happen?  Just on startup (with -Q?),
> open N files, ...?

Indeed, some information about the recipe to reproduce the problem is
required to investigate this problem.